DocComparator (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search.comparators, class: DocComparator

Package org.apache.lucene.search.comparators

# Class DocComparator

java.lang.Object
org.apache.lucene.search.FieldComparator<Integer>
org.apache.lucene.search.comparators.DocComparator

public class DocComparator extends FieldComparator<Integer>
Comparator that sorts by asc _doc

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.FieldComparator

  `FieldComparator.RelevanceComparator, FieldComparator.TermValComparator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocComparator(int numHits, boolean reverse, Pruning pruning)`
  Creates a new comparator based on document ids for `numHits`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(int slot1, int slot2)`
  Compare hit at slot1 with hit at slot2.
  `LeafFieldComparator`
  `getLeafComparator(LeafReaderContext context)`
  Get a per-segment `LeafFieldComparator` to collect the given `LeafReaderContext`.
  `void`
  `setTopValue(Integer value)`
  Record the top value, for future calls to `LeafFieldComparator.compareTop(int)`.
  `Integer`
  `value(int slot)`
  Return the actual value in the slot.

  ### Methods inherited from class org.apache.lucene.search.FieldComparator

  `compareValues, disableSkipping, setSingleSort`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocComparator

    public DocComparator(int numHits, boolean reverse, Pruning pruning)
    Creates a new comparator based on document ids for `numHits`

- ## Method Details

  - ### compare

    public int compare(int slot1, int slot2)
    Description copied from class: `FieldComparator`
    Compare hit at slot1 with hit at slot2.
    Specified by:
      `compare` in class `FieldComparator<Integer>`
    Parameters:
      `slot1` - first slot to compare
      `slot2` - second slot to compare
    Returns:
      any `N < 0` if slot2's value is sorted after slot1, any `N > 0` if the slot2's value is sorted before slot1 and `0` if they are equal

  - ### getLeafComparator

    public LeafFieldComparator getLeafComparator(LeafReaderContext context)
    Description copied from class: `FieldComparator`
    Get a per-segment `LeafFieldComparator` to collect the given `LeafReaderContext`. All docIDs supplied to this `LeafFieldComparator` are relative to the current reader (you must add docBase if you need to map it to a top-level docID).
    Specified by:
      `getLeafComparator` in class `FieldComparator<Integer>`
    Parameters:
      `context` - current reader context
    Returns:
      the comparator to use for this segment

  - ### setTopValue

    public void setTopValue(Integer value)
    Description copied from class: `FieldComparator`
    Record the top value, for future calls to `LeafFieldComparator.compareTop(int)`. This is only called for searches that use searchAfter (deep paging), and is called before any calls to `FieldComparator.getLeafComparator(LeafReaderContext)`.
    Specified by:
      `setTopValue` in class `FieldComparator<Integer>`

  - ### value

    public Integer value(int slot)
    Description copied from class: `FieldComparator`
    Return the actual value in the slot.
    Specified by:
      `value` in class `FieldComparator<Integer>`
    Parameters:
      `slot` - the value
    Returns:
      value in this slot